> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1apps input config

> App input configs allow you to declare the inputs for your application, and do things such as require customer inputs or 
expose configuration knobs in your application.




## OpenAPI

````yaml post /v1/apps/{app_id}/input-config
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1037
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: policy-reports
    name: policy-reports
  - description: general
    name: general
  - description: actions
    name: actions
  - description: runbooks
    name: runbooks
  - description: apps
    name: apps
  - description: components
    name: components
  - description: onboarding
    name: onboarding
  - description: slack
    name: slack
  - description: installs
    name: installs
  - description: orgs
    name: orgs
  - description: notebooks
    name: notebooks
  - description: runners/runner
    name: runners/runner
  - description: queues
    name: queues
  - description: actions/runner
    name: actions/runner
  - description: auth
    name: auth
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: accounts
    name: accounts
paths:
  /v1/apps/{app_id}/input-config:
    post:
      tags:
        - apps
      description: >
        App input configs allow you to declare the inputs for your application,
        and do things such as require customer inputs or 

        expose configuration knobs in your application.
      operationId: CreateAppInputConfig
      parameters:
        - description: app ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/service.CreateAppInputConfigRequest'
        description: Input
        required: true
        x-originalParamName: req
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.AppInputConfig'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Conflict
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    service.CreateAppInputConfigRequest:
      properties:
        app_config_id:
          type: string
        groups:
          additionalProperties:
            $ref: '#/components/schemas/service.AppGroupRequest'
          type: object
        inputs:
          additionalProperties:
            $ref: '#/components/schemas/service.AppInputRequest'
          type: object
      required:
        - groups
        - inputs
      type: object
    app.AppInputConfig:
      properties:
        app_config_id:
          type: string
        app_id:
          type: string
        created_at:
          type: string
        created_by_id:
          type: string
        id:
          type: string
        input_groups:
          items:
            $ref: '#/components/schemas/app.AppInputGroup'
          type: array
        inputs:
          items:
            $ref: '#/components/schemas/app.AppInput'
          type: array
        install_inputs:
          items:
            $ref: '#/components/schemas/app.InstallInputs'
          type: array
        org_id:
          type: string
        updated_at:
          type: string
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
    service.AppGroupRequest:
      properties:
        description:
          type: string
        display_name:
          type: string
        index:
          type: integer
      required:
        - description
        - display_name
        - index
      type: object
    service.AppInputRequest:
      properties:
        default:
          type: string
        description:
          type: string
        display_name:
          type: string
        group:
          type: string
        index:
          type: integer
        required:
          type: boolean
        sensitive:
          type: boolean
        source:
          $ref: '#/components/schemas/app.AppInputSource'
        type:
          description: New, optional fields
          type: string
      required:
        - description
        - display_name
        - group
        - index
      type: object
    app.AppInputGroup:
      properties:
        app_input_id:
          type: string
        app_inputs:
          items:
            $ref: '#/components/schemas/app.AppInput'
          type: array
        created_at:
          type: string
        created_by_id:
          type: string
        description:
          type: string
        display_name:
          type: string
        id:
          type: string
        index:
          type: integer
        name:
          type: string
        org_id:
          type: string
        updated_at:
          type: string
      type: object
    app.AppInput:
      properties:
        app_input_id:
          type: string
        cloudformation_stack_name:
          description: CloudFormation configuration (computed fields, not stored in DB)
          type: string
        cloudformation_stack_parameter_name:
          type: string
        created_at:
          type: string
        created_by_id:
          type: string
        default:
          type: string
        description:
          type: string
        display_name:
          type: string
        group:
          $ref: '#/components/schemas/app.AppInputGroup'
        group_id:
          type: string
        id:
          type: string
        index:
          type: integer
        internal:
          description: 'Deprecated: this field was never enforced and has no effect.'
          type: boolean
        name:
          type: string
        org_id:
          type: string
        required:
          type: boolean
        sensitive:
          type: boolean
        source:
          type: string
        type:
          type: string
        updated_at:
          type: string
      type: object
    app.InstallInputs:
      properties:
        app_input_config_id:
          type: string
        created_at:
          type: string
        created_by_id:
          type: string
        id:
          type: string
        install_id:
          type: string
        org_id:
          type: string
        redacted_values:
          additionalProperties:
            type: string
          type: object
        updated_at:
          type: string
        values:
          additionalProperties:
            type: string
          type: object
        workflow_id:
          description: >-
            WorkflowID is populated by handlers that create a workflow. Not
            persisted.
          type: string
      type: object
    app.AppInputSource:
      enum:
        - vendor
        - customer
      type: string
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````